# Interface ResolutionRules

@Incubating public interface ResolutionRules
Represents a set of rules/actions that can be applied during dependency resolution. Currently these are restricted to controlling caching, but these could possibly be extended in the future to include other manipulations.

## Method Summary

Modifier and Type
Method
Description
`void`
`eachArtifact(Action<? super ArtifactResolutionControl> rule)`
Apply a rule to control resolution of artifacts.
`void`
`eachDependency(Action<? super DependencyResolutionControl> rule)`
Apply a rule to control resolution of dependencies.
`void`
`eachModule(Action<? super ModuleResolutionControl> rule)`
Apply a rule to control resolution of modules.

## Method Details

### eachDependency

void eachDependency(Action<? super DependencyResolutionControl> rule)
Apply a rule to control resolution of dependencies.

Parameters:
  `rule` - the rule to apply

### eachModule

void eachModule(Action<? super ModuleResolutionControl> rule)
Apply a rule to control resolution of modules.

Parameters:
  `rule` - the rule to apply

### eachArtifact

void eachArtifact(Action<? super ArtifactResolutionControl> rule)
Apply a rule to control resolution of artifacts.

Parameters:
  `rule` - the rule to apply